- [HTTP request](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/get.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/get.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/get.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/get.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/get.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/get.md.txt#body.aspect_1)

Gets details of a single audit schedule.

### HTTP request

`GET https://auditmanager.googleapis.com/v1/{name=projects/*/locations/*/auditSchedules/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the audit schedule to retrieve, in one of the following formats: - `projects/{project}/locations/{location}/auditSchedules/{auditSchedule}` - `folders/{folder}/locations/{location}/auditSchedules/{auditSchedule}` - `organizations/{organization}/locations/{location}/auditSchedules/{auditSchedule}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `AuditSchedule`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-auditmanager`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `auditmanager.auditSchedules.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).